<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!--  param : selectedOrder
          enableStatusEdit: if true enable the user to change result status and order status
          managedBean: if enableStatusEdit = true  -->
    <div class="col-lg-6">
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">
                    <s:div>
                        <h:outputText value="#{messages['gazelle.ordermanager.PlacerOrderNumber']}"
                                      rendered="#{not (selectedOrder.simulatedActor.keyword.equals('ANALYZER') or selectedOrder.simulatedActor.keyword.equals('ANALYZER_MGR'))}"/>
                        <h:outputText value="#{messages['gazelle.ordermanager.AWOSID']}"
                                      rendered="#{selectedOrder.simulatedActor.keyword.equals('ANALYZER') or selectedOrder.simulatedActor.keyword.equals('ANALYZER_MGR')}"/>
                    </s:div>
                </ui:define>
                <h:outputText value="#{selectedOrder.placerOrderNumber}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber']}</ui:define>
                <h:outputText value="#{selectedOrder.fillerOrderNumber}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.PlacerGroupNumber']}</ui:define>
                <h:outputText value="#{selectedOrder.placerGroupNumber}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{selectedOrder.class.simpleName.equals('LabOrder') and not empty selectedOrder.parent}">
                <ui:define name="label">#{messages['gazelle.ordermanager.Parent']}</ui:define>
                <a4j:repeat value="#{selectedOrder.parent}" var="par">
                    <h:outputText value="#{par}"/>
                    <br/>
                </a4j:repeat>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{not enableStatusEdit}">
                <ui:define name="label">#{messages['gazelle.ordermanager.ResultStatus']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('orderResultStatus', selectedOrder.orderResultStatus)}"/>
            </s:decorate>
            <ui:insert name="leftColumn"/>
        </dl>
        <div class="form-horizontal">
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="resultStatusDecorate"
                    rendered="#{enableStatusEdit}">
            <ui:define name="label">#{messages['gazelle.ordermanager.ResultStatus']}</ui:define>
            <ui:param name="id" value="rstatus"/>
            <h:selectOneMenu value="#{managedBean.newResultStatus}" id="rstatus" styleClass="form-control">
                <f:selectItems value="#{valueSet.getListOfConcepts('resultStatus')}"/>
                <a4j:ajax event="change" render="resultStatusDecorate"
                          listener="#{managedBean.updateOrder(selectedOrder)}"/>
            </h:selectOneMenu>
            <h:outputText
                    value=" #{messages['gazelle.ordermanager.currentValue']}: #{selectedOrder.orderResultStatus})"/>
        </s:decorate>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" rendered="#{enableStatusEdit}" id="orderStatusDecorate">
            <ui:define name="label">#{messages['gazelle.ordermanager.OrderStatus']}</ui:define>
            <ui:param name="id" value="ostatus"/>
            <h:selectOneMenu value="#{managedBean.newOrderStatus}" id="ostatus" styleClass="form-control">
                <f:selectItems value="#{valueSet.getListOfConcepts('orderStatus')}"/>
                <a4j:ajax event="change" render="orderStatusDecorate"
                          listener="#{managedBean.updateOrder(selectedOrder)}"/>
            </h:selectOneMenu>
            <h:outputText value=" #{messages['gazelle.ordermanager.currentValue']}: #{selectedOrder.orderStatus})"/>
        </s:decorate>
        </div>
    </div>
    <div class="col-lg-6">
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.Priority']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('quantityTiming', selectedOrder.quantityTiming)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.TransactionDatetime']}</ui:define>
                <g:date value="#{selectedOrder.transactionDate}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.ExamOrderStartDate']}</ui:define>
                <g:date value="#{selectedOrder.startDateTime}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.EnteredBy']}</ui:define>
                <h:outputText value="#{valueSet.getDisplayNameForCode('doctor', selectedOrder.enteredBy)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.EnteringOrganization_2']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('enteringOrganization', selectedOrder.enteringOrganization)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.OrderingProvider']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('doctor', selectedOrder.orderingProvider)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.Technician']}</ui:define>
                <h:outputText value="#{valueSet.getDisplayNameForCode('doctor', selectedOrder.technician)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.CallBackPhoneNumber']}</ui:define>
                <h:outputText value="#{selectedOrder.callBackPhoneNumber}"/>
            </s:decorate>
            <!-- value set to used depends on domain -->
            <ui:insert name="displayUniversalServiceId"/>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.ReasonForStudy']}</ui:define>
                <h:outputText value="#{selectedOrder.reasonForStudy}"/>
            </s:decorate>
            <ui:insert name="rightColumn"/>
        </dl>
    </div>
</ui:composition>
